MerkleTrees.TreeRangeIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Class MerkleTrees.TreeRangeIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<MerkleTree.TreeRange>
    - - org.apache.cassandra.utils.MerkleTrees.TreeRangeIterator

- All Implemented Interfaces:
    com.google.common.collect.PeekingIterator<MerkleTree.TreeRange>, java.lang.Iterable<MerkleTree.TreeRange>, java.util.Iterator<MerkleTree.TreeRange>
  Enclosing class:
    MerkleTrees

      public class MerkleTrees.TreeRangeIterator
      extends com.google.common.collect.AbstractIterator<MerkleTree.TreeRange>
      implements java.lang.Iterable<MerkleTree.TreeRange>, com.google.common.collect.PeekingIterator<MerkleTree.TreeRange>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MerkleTree.TreeRange` | `computeNext()`
    `java.util.Iterator<MerkleTree.TreeRange>` | `iterator()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface com.google.common.collect.PeekingIterator

      `next, peek, remove`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext`

- - ### Method Detail

    - #### computeNext

          public MerkleTree.TreeRange computeNext()

      Specified by:
        `computeNext` in class `com.google.common.collect.AbstractIterator<MerkleTree.TreeRange>`

    - #### iterator

          public java.util.Iterator<MerkleTree.TreeRange> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<MerkleTree.TreeRange>`

Copyright © 2018 The Apache Software Foundation